Skip to main content

Create amenity for property

POSThttps://api.propexo.com/v1/amenities/properties/:id

Create a property amenity for any integration. This is a convenience endpoint that acts as a generic proxy for all amenity creation endpoints.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    amenitystringrequired

    The amenity name

    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object
    integration_idstringrequired
    vendorstringrequired
    Show 17 enum values
    APPFOLIOBUILDIUMELISEAIENTRATAFUNNELKNOCKMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTCAFERENTMANAGERRENTVINERESMANYARDIYARDI_REST

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/amenities/properties/:id
curl -X POST https://api.propexo.com/v1/amenities/properties/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"amenity": "string",
"integration_id": "string",
"vendor": "APPFOLIO"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}